package cl.jtv;

/*
 * ComandoEMI.java
 *
 * Created on 19 de febrero de 2003, 01:19 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoEMI extends Comando {

    /** Creates new ComandoEMI */
    public ComandoEMI(Object newArtefacto,Vector2 newVector2) {
        super(newArtefacto,newVector2);
    }
    
     public void doIt(){
        
        Maquina lastInicial = artefacto!=null?(Maquina) artefacto:null;
        if(vector2.inicial!=null) vector2.inicial.setInicial(false);
        if(lastInicial!=null) lastInicial.setInicial(true);
        vector2.inicial = lastInicial;
    }   
    
    
}
